Update sales order

CAUTION: Positions not specified in the payload will be DELETED. Please pass the ids along if you need them to be preserved.

The sales order edit endpoint allows for updating an existing sales order. When updating, any positions not included in the positions payload will be implicitly deleted from the order. This ensures that the positions list in the payload accurately reflects the desired state of the sales order after the update.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required

The resource's identifier.

Body Params

Sales order edit request payload

date
date | null
date | null

The desired delivery date for the sales order. Format: Y-m-d

date | null

The reservation date for the sales order. Format: Y-m-d

boolean

Flag indicating whether a calendar week should be printed on documents

string

Creator of the Sales Order

salesRepresentative
object

Reference to the sales representative resource.

string

Customer-facing sales order number in the originating shop system / platform (e.g. Shopify, Amazon, etc)

string

technical sales order ID in the originating shop system / platform (e.g. Shopify, Amazon, etc). This ID is used to sync status updates & tracking info back to the originating shop / platform

string

transaction number typically used to identify payment transactions in the originating shop system / platforms (e.g. Shopify, Amazon, etc). This ID is typically used for financial reconciliation of payment transactions with sales orders / invoices in Xentral.

string

Purchase Order number from the customer’s purchase order system, typically used in B2B context.

string
enum

Sets documents created by autoshippment.

Allowed:
string

Text displayed on the PDF print-out above the positions table. Rich-Text capable.

string

Text displayed on the PDF print-out below the positions table. Rich-Text capable.

string

Internal designation which is also displayed as grey text in the sales order list in the application. Unformatted string only.

string

Internal comment. Rich-Text capable.

tags
array of objects
tags
customer
object

Reference to another resource

project
object

Reference to another resource

salesChannel
object

Reference to another resource

language
object

Language information for a Sales Order

financials
object

Financial information for a Sales Order to update

delivery
object
positions
array of objects

CAUTION: Positions not included in the payload will be DELETED.
If you want to retain specific positions, please provide their ids.


Any parameters of retained position objects that are not provided in the payload remain unchanged.

If you don't include the positions parameter at all, all existing positions will remain unchanged.

positions
discountPositions
array of objects

CAUTION: Discount positions not included in the payload will be DELETED.
If you want to retain specific discount positions, please provide their ids.


Any parameters or retained discount position objects that are not provided in the payload remain unchanged.

If you don't include the discountPositions parameter at all, all existing discount positions will remain unchanged.

discountPositions
boolean

Text displayed on the PDF.

Responses
204

Operation completed successfully, no response body

403

Unable to authorize the client

404

Resource was not found or not enough access privileges

406

Requested resource representation does not exist.

Language
Credentials
Bearer
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/problem+json